Text string to render on the video frame. Required for the drawtext filter.
www.5centscdn.comEdit Transcoding Profile Filter
curl -X POST "https://api.5centscdn.com/v2/streams/settings/filters/1" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"name": "My Logo Watermark",
"args": {
"filter": "overlay",
"url": "https://cdn.example.com/logo.png",
"scale": "5",
"position": "Center",
"blink": "5/5",
"text": "www.5centscdn.com",
"fontsize": "15",
"fontcolor": "#FF9507"
}
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/filters/1"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"name": "My Logo Watermark",
"args": {
"filter": "overlay",
"url": "https://cdn.example.com/logo.png",
"scale": "5",
"position": "Center",
"blink": "5/5",
"text": "www.5centscdn.com",
"fontsize": "15",
"fontcolor": "#FF9507"
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/filters/1", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"name": "My Logo Watermark",
"args": {
"filter": "overlay",
"url": "https://cdn.example.com/logo.png",
"scale": "5",
"position": "Center",
"blink": "5/5",
"text": "www.5centscdn.com",
"fontsize": "15",
"fontcolor": "#FF9507"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "My Logo Watermark",
"args": {
"filter": "overlay",
"url": "https://cdn.example.com/logo.png",
"scale": "5",
"position": "Center",
"blink": "5/5",
"text": "www.5centscdn.com",
"fontsize": "15",
"fontcolor": "#FF9507"
}
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/filters/1", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/filters/1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"name": "My Logo Watermark",
"args": {
"filter": "overlay",
"url": "https://cdn.example.com/logo.png",
"scale": "5",
"position": "Center",
"blink": "5/5",
"text": "www.5centscdn.com",
"fontsize": "15",
"fontcolor": "#FF9507"
}
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Transcoding Settings Updated"
}
/streams/settings/filters/{filterid}Target server for requests. Edit to use your own host.
API key (sent in header)
Id of the Transcode Profile filter
The media type of the request body
Display name of the filter. This is read from the existing filter and cannot be changed via this endpoint.
Flat filter configuration object. The filter field inside args identifies the type and determines which other fields apply. Allowed filter values: overlay, drawtext, img2video, videoloop.
Response will appear here after sending the request
API Key for authentication. Provide your API key in the header.
Display name of the filter. This is read from the existing filter and cannot be changed via this endpoint.
My Logo WatermarkFlat filter configuration object. The filter field inside args identifies the type and determines which other fields apply. Allowed filter values: overlay, drawtext, img2video, videoloop.
Filter type identifier. Allowed values: overlay, drawtext, img2video, videoloop.
overlayURL of the image or video asset. Required for overlay, img2video, and videoloop filters. Supported extensions for overlay and img2video are .png, .jpg, and .jpeg.
https://cdn.example.com/logo.pngScale percentage of the asset relative to the video frame. Applicable to overlay and img2video filters. Min 5, max 150.
5Position of the overlay or text on the video frame. Applicable to overlay and drawtext filters. Allowed values: Top Left, Top Center, Top Right, Center Left, Center, Center Right, Bottom Left, Bottom Center, Bottom Right.
CenterBlink animation in on/off seconds format. Applicable to overlay and drawtext filters. Example: 5/5 means 5 seconds visible then 5 seconds hidden. Omit this field to disable blinking.
5/5Text string to render on the video frame. Required for the drawtext filter.
www.5centscdn.comStatus of the API response.
Human-readable message describing the result.